Bug 446094 - Recent package update (FEDORA-2008-3412) makes error.
Recent package update (FEDORA-2008-3412) makes error.
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: pirut (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-12 14:06 EDT by Chris Schembari
Modified: 2008-12-01 12:55 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-01 12:55:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Schembari 2008-05-12 14:06:38 EDT
Description of problem:  For the past several days, pup tries to get me to 
upgrade my qt4 packages with update #FEDORA-2008-3412.  If I try to install 
these updated packages, I get the following error message:
<B>Error updating software</B>
There were errors encountered in trying to update the software you selected.
file /usr/lib64/qt4/bin/qdbusviewer from install of 
qt4-x11-4.3.4-11.fc8.x86_64 conflicts with file from package 
qt4-4.3.3-1.fc8.x86_64


Steps to Reproduce:
1. Follow puplet's usual procedure when there are updated packages to install.
2. Package Updater resolves dependencies (without giving any errors).
3. Package Updater downloads packages.
4. Package Updater starts to update packages.
5. Package Updater produces "Error updating software" as above.
Comment 1 Rex Dieter 2008-05-12 14:18:22 EDT
The problem isn't qt4 packaging, it's something else.

In particular, pup should be upgrading *both* qt4 and qt4-x11 packages (notice
that qt4-4.3.3 is the old version, not new).

In the meantime, what do you have currently installed?

$ rpm -q qt4 qt4-x11
?
Comment 2 Chris Schembari 2008-05-13 13:29:06 EDT
This is what I have:

$ rpm -q qt4 qt4-x11
qt4-4.3.3-1.fc8
qt4-4.3.4-11.fc8
qt4-x11-4.3.3-1.fc8
Comment 3 Bug Zapper 2008-11-26 05:41:05 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Kevin Kofler 2008-11-26 06:13:30 EST
Looks like a pirut bug. Not sure if it'll still get fixed now, but we can try reassigning it.
Comment 5 Jeremy Katz 2008-12-01 12:55:53 EST
You have two versions of the qt4 package installed.  I suspect that you had an update fail at some point.  Running 'package-cleanup --cleandupes' (after installing the yum-utils package) should fix it

Note You need to log in before you can comment on or make changes to this bug.